scala.collection.mutable.ArrayBuilder

# ofByte

#### class ofByte extends ArrayBuilder[Byte]

A class for array builders for arrays of `byte`s.

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  ArrayBuilder.scala

Linear Supertypes
ArrayBuilder[Byte], Serializable, java.io.Serializable, Builder[Byte, Array[Byte]], Growable[Byte], Clearable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ofByte
2. ArrayBuilder
3. Serializable
4. Serializable
5. Builder
6. Growable
7. Clearable
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ofByte()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ofByte to any2stringadd[ofByte] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ++=(xs: TraversableOnce[Byte]): ofByte.this.type

   adds all elements produced by a TraversableOnce to this growable collection.

   adds all elements produced by a TraversableOnce to this growable collection.

   xs

     the TraversableOnce producing the elements to add.

   returns

     the growable collection itself.

   Definition Classes
     ofByte → Growable

5. #### def +=(elem: Byte): ofByte.this.type

   Adds a single element to the builder.

   Adds a single element to the builder.

   elem

     the element to be added.

   returns

     the builder itself.

   Definition Classes
     ofByte → Builder → Growable

6. #### def +=(elem1: Byte, elem2: Byte, elems: Byte*): ofByte.this.type

   adds two or more elements to this growable collection.

   adds two or more elements to this growable collection.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the growable collection itself

   Definition Classes
     Growable

7. #### def ->[B](y: B): (ofByte, B)

   Implicit information
     This member is added by an implicit conversion from ofByte to ArrowAssoc[ofByte] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

8. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clear(): Unit

    Clears the contents of this builder.

    Clears the contents of this builder. After execution of this method the builder will contain no elements.

    Definition Classes
      ofByte → Builder → Growable → Clearable

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def ensuring(cond: (ofByte) ⇒ Boolean, msg: ⇒ Any): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (ofByte) ⇒ Boolean): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): ofByte

    Implicit information
      This member is added by an implicit conversion from ofByte to Ensuring[ofByte] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(other: Any): Boolean

    Definition Classes
      ofByte → AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ofByte to StringFormat[ofByte] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def mapResult[NewTo](f: (Array[Byte]) ⇒ NewTo): Builder[Byte, NewTo]

    Creates a new builder by applying a transformation function to the results of this builder.

    Creates a new builder by applying a transformation function to the results of this builder.

    NewTo

      the type of collection returned by `f`.

    f

      the transformation function.

    returns

      a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

    Definition Classes
      Builder

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def result(): Array[Byte]

    Produces a collection from the added elements.

    Produces a collection from the added elements. The builder's contents are undefined after this operation.

    returns

      a collection containing the elements added to this builder.

    Definition Classes
      ofByte → Builder

28. #### def sizeHint(size: Int): Unit

    Gives a hint how many elements are expected to be added when the next `result` is called.

    Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    size

      the hint how many elements will be added.

    Definition Classes
      ofByte → Builder

29. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    coll

      the collection which serves as a hint for the result's size.

    delta

      a correction to add to the `coll.size` to produce the size hint.

    Definition Classes
      Builder

30. #### def sizeHint(coll: TraversableLike[_, _]): Unit

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    coll

      the collection which serves as a hint for the result's size.

    Definition Classes
      Builder

31. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

    Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

    Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    size

      the hint how many elements will be added.

    boundingColl

      the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

    Definition Classes
      Builder

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      ofByte → AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (ofByte, B)

    Implicit information
      This member is added by an implicit conversion from ofByte to ArrowAssoc[ofByte] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ArrayBuilder[Byte]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Builder[Byte, Array[Byte]]

### Inherited from Growable[Byte]

### Inherited from Clearable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ofByte to any2stringadd[ofByte]

### Inherited by implicit conversion StringFormat from ofByte to StringFormat[ofByte]

### Inherited by implicit conversion Ensuring from ofByte to Ensuring[ofByte]

### Inherited by implicit conversion ArrowAssoc from ofByte to ArrowAssoc[ofByte]

### Ungrouped